#include "GUIelement.h"

GUIelement::GUIelement(int* width,int* height,unsigned int* fps) {
    this->active = false;
	this->blend = false;
	this->wwidth = width;
	this->wheight = height;
	this->fps = fps;
	this->alpha = 0.0f;
}

void GUIelement::motion(int,int)
{

}

void GUIelement::render()
{

}

void GUIelement::pressed(int,int)
{

}

void GUIelement::released(int,int) {

}

void GUIelement::drag(int,int) {

}

bool GUIelement::isInside(int,int) {
	return false;
}

bool GUIelement::isActive()
{
	return this->active;
}

void GUIelement::setActive(bool a)
{
	this->active = a;
}

bool GUIelement::isBlend() {
	return this->blend;
}

void GUIelement::setBlend(bool b) {
	this->blend = b;
}
